/** @file sp/spBaseLib.h
 */

#ifndef __SPBASELIB_H
#define __SPBASELIB_H

/**
@~english
@mainpage spBase - Basic Library of spLibs
spBase is a basic library for spLibs which is a multi-platform library set
originally designed for speech signal processing. spBase includes fundamental
functions such as memory management, file I/O, dynamic library loading,
multithreading, etc.
@example simple_thread.c @example thread_test.c @example command_thread.c @example dirtest.c @example openlib.c @example pstest.c @example spcat.c
 */

#include <sp/spDefs.h>
#include <sp/spBase.h>
#include <sp/spString.h>
#include <sp/spMemory.h>
#include <sp/spOption.h>
#include <sp/spFile.h>
#include <sp/spDirectory.h>
#include <sp/spLibrary.h>
#include <sp/spKanji.h>
#include <sp/spThread.h>
#include <sp/spPlugin.h>

#endif /* __SPBASELIB_H */
